Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 265100 - x11-drivers/xf86-video-mga-1.4.9: dualhead bug
Summary: x11-drivers/xf86-video-mga-1.4.9: dualhead bug
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-06 12:44 UTC by Ronny Boesger
Modified: 2017-01-26 05:28 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild with patch (xf86-video-mga-1.4.9-r1.ebuild,845 bytes, text/plain)
2009-04-28 06:13 UTC, Axel Mueller
Details
patch to fix problem wih dualhead (dualhead-fix.patch,5.79 KB, patch)
2009-04-28 06:14 UTC, Axel Mueller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronny Boesger 2009-04-06 12:44:31 UTC
In Dualhead Mode (Xinerama on) the xserver stops with mga 1.4.9:
"MGA(0): Unable to map BAR 0.  Invalid argument (22)"

this is only in dualhead mode, in single or clone mode, all is fine and working.

as in the following link reported, this seams to be a bug in mga driver.

look at:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-mga/+bug/292214

the patch is available from:
http://launchpadlibrarian.net/19618287/mga-driver-3.patch

I use this patch and it is working so far on my amd64 system. (i have compiled it as mga-1.4.9-r1


Reproducible: Always

Steps to Reproduce:
1.launch xorg-server 1.5.3-r5 and mga-1.4.9 in dual screen mode
2.error comes after 1-2 seconds
Comment 1 Rémi Cardona gentoo-dev 2009-04-06 22:20:46 UTC
Please convince upstream to even look at the patch, it's not even attached to the upstream bug.

Thanks
Comment 2 Matthias 2009-04-15 14:07:39 UTC
Same problem here. Inactive Xinerame helps getting X to work but both displays show the same.

Until upstream or otherwise solution is available, this ebuild should not bi in "stable".

Thanks
Comment 3 Axel Mueller 2009-04-28 06:13:22 UTC
Created attachment 189677 [details]
ebuild with patch

This ebuild includes the patch mentioned above.
Comment 4 Axel Mueller 2009-04-28 06:14:05 UTC
Created attachment 189678 [details, diff]
patch to fix problem wih dualhead
Comment 5 Axel Mueller 2009-04-28 06:20:04 UTC
I created a new ebuild that implements the patch mentioned in comment #0. The driver successfully compiled on my system (x86) and I was able to use my dualhead configuration again.

BTW, I also tried version 1.9.100 in portage tree but this does not work as well (X starts but the second monitor is blank).
Comment 6 Rémi Cardona gentoo-dev 2009-05-06 12:52:40 UTC

*** This bug has been marked as a duplicate of bug 267080 ***
Comment 7 Axel Mueller 2009-05-07 06:14:55 UTC
Why has this bug marked as a duplicate of bug #267080? Bug #267080 has nothing to do with xinerama and sounds more like a general Xorg+mga problem. Here we have a patched ebuild that should fix the xinerama problem. So please, insert this patched ebuild into portage and then close this bug as fixed.
Comment 8 Rémi Cardona gentoo-dev 2009-05-07 06:17:52 UTC
(In reply to comment #7)
> Why has this bug marked as a duplicate of bug #267080? Bug #267080 has nothing
> to do with xinerama and sounds more like a general Xorg+mga problem. Here we
> have a patched ebuild that should fix the xinerama problem. So please, insert
> this patched ebuild into portage and then close this bug as fixed.

Read again, both bugs are about xinerama. I will apply the patch to portage as soon as I'm able to.

Thanks
Comment 9 DEMAINE Benoît-Pierre, aka DoubleHP 2010-01-15 23:07:50 UTC
Please, reopen. bug 267080 is not Matrox related, so, this bug can not be dup of it.
Comment 10 Ronny Boesger 2010-04-23 07:28:09 UTC
Sorry for reopen this bug, but the world updates now use the xorg-server-1.7.6 so i have to use the xf86-video-mga-1.4.11 driver, but same here, same error, same issues.

New patch is available for 1.4.11 at: http://launchpadlibrarian.net/43115869/mga-driver-4.patch

I will try this patch on my work pc, in the next hours. 

If you upgrade, disable xinerama or your xserver will not start and you have to fiddle arround !

I will update this bug, as soon, as i have the working verification of the above patc.
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-mga/+bug/292214 Says, that it works (ubuntu users).
Comment 11 DEMAINE Benoît-Pierre, aka DoubleHP 2010-04-23 10:38:23 UTC
Ronny: what is your hardware layout ? single multihead card ? several cards ?
Comment 12 Ronny Boesger 2010-04-23 11:41:10 UTC
Yes, single Card (Matrox G550 PCIe) Dual-Head

There is an onboard nvidia card, but thats not used.
Comment 13 Ronny Boesger 2010-04-26 07:04:17 UTC
UPDATE:

The patch works in general, but when i start the xserver in xinerama layout and move my mouse to the left (second) Screen, the xorg server freezes (and the complete workstation, too).

So i will now roll back to the xorg-1.6 server with the plain old mga-1.4.9 patched driver, as this is my workstation.

Comments are welcome :)
Comment 14 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-04-26 07:50:55 UTC
In related cases, some users reported that swapping the display connectors and adjusting the layout for that made it magically work.
Comment 15 Ronny Boesger 2010-04-26 12:11:35 UTC
Thanks, that worked quite well :)

But the patch for the mga driver is mandatory for the function of xinerma with mga cards.

Comment 16 Dave Kemper 2012-08-14 11:45:03 UTC
This bug still exists in xf86-video-mga-1.5.0.  I can confirm that the latest patch at the launchpad.net bug report referenced in comment #10, though developed for xf86-video-mga-1.4.11, also fixes the problem for xf86-video-mga-1.5.0.

The same patch is attached to the upstream bug report (https://bugs.freedesktop.org/show_bug.cgi?id=18472), but upstream seems in no hurry to incorporate it.  Gentoo should add the patch to its package in the meantime.
Comment 17 DEMAINE Benoît-Pierre, aka DoubleHP 2012-08-14 19:37:22 UTC
Forget it; Gentoo never dared fixing any X bug I ever had.

Nobody is never in hurry to integrate patches. All dev ask for users to write fixes, but nobody ever include them.

I stopped reporting bugs related to X.
Comment 18 Matt Turner gentoo-dev 2012-08-14 19:40:36 UTC
(In reply to comment #17)
> Forget it; Gentoo never dared fixing any X bug I ever had.
> 
> Nobody is never in hurry to integrate patches. All dev ask for users to
> write fixes, but nobody ever include them.
> 
> I stopped reporting bugs related to X.

I can't speak to your situation, but in my opinion there are a lot of bugs filed here that are outside of our expertise. Bugs like this should be filed and handled upstream. Gentoo doesn't want to be in the business of collecting assorted patches, never to go upstream.
Comment 19 Dave Kemper 2012-08-15 17:15:30 UTC
I agree completely: ideally, this would be fixed upstream.

In absence of the ideal, no expertise is required -- a patch already exists, has already been tested and confirmed to work by at least three people, and need only be added to the ebuild to fix this bug in Gentoo.

In contrast to Demaine's comments, in my experience Gentoo developers have been far more responsive than anyone at the X.org bugzilla, which is why I started pushing here first rather than there to try to get this patch included.  That way at least one distro can be fixed.
Comment 20 DEMAINE Benoît-Pierre, aka DoubleHP 2012-08-15 17:23:46 UTC
So, you want the patch file to be pushed in the ebuild ? That's way too much complicated for a main ! Will take at least 3 years. Start by filling the paper Blue E47 ... you will find it in the Bureau 25A, floor 6 1/2, building 7C. To reach half floors, you need to take the lift Green.
Comment 21 jospezial 2013-12-13 19:18:31 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=18472#c11

fixed upstream

Please test xf86-video-mga-1.6.3 .
Comment 22 Matt Turner gentoo-dev 2017-01-26 05:28:55 UTC
Looks to be fixed in xf86-video-mga-1.6.3.